main {
    max-height: fit-content;
    min-height:60vh;
    height: auto;
    background: url('../img/feedit_gear_back.png') no-repeat center center/cover;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    text-align: center;
    padding: 1em;
    overflow: hidden;
    width: 100%;
}

.main-content {
    display: flex;
    justify-content: space-around;
    width: 100%;
    max-width: 1200px;
    padding: 0 1em;
    box-sizing: border-box;
}

.header-column {
    flex: 1;
    margin: 0 1em;
    border-radius: 10px;
    overflow-wrap: break-word;
    box-sizing: border-box;
}

.gear-container {
    position: relative;
    width: 200px;
    height: 200px;
    margin: 0 auto;
}

.gear {
    width: 140%;
    height: auto;
}
.gearicon {
    width: 100%;
    height: auto;
}
.rotate {
    animation: rotateGear 3s linear;
}

.elements {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
}

.element {
    position: absolute;
    width: 50px;
    height: 50px;
    background: rgba(255, 255, 255, 0.087);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.element:nth-child(1) { top: -40%; left: 80%;  }
.element:nth-child(2) { top: 60%; left: 90%; }
.element:nth-child(3) { top: 90%; left:-40%;  }
.element:nth-child(4) { top: 20%; left: -85%;  }
.element:nth-child(5) { top: -80%; left: -10%; }

.secondary-gear{
    width: 30%;
}

.middle_column_row{
    position: relative;
    top: 40%;
    left:15%;
}

#hover-rotate{
    margin-right: 5%;
    padding: 10%;
}
.element:hover{
    animation: gelatine 0.5s;
}
@keyframes gelatine {
    from, to { transform: scale(1, 1); }
    25% { transform: scale(0.9, 1.1); }
    50% { transform: scale(1.1, 0.9); }
    75% { transform: scale(0.95, 1.05); }
}
@keyframes rotateGear {
    0% { transform: rotate(0deg); }
    50% { transform: rotate(270deg); }
    100% { transform: rotate(360deg); }
}

@keyframes fadeElement {
    0%, 100% { opacity: 0; }
    50% { opacity: 1; }
}

@media (max-width: 768px) {
    .main-content {
        flex-direction: column;
        align-items: center;
    }
    
    .column {
        margin: 1em 0;
        width: 100%;
        max-width: 90%;
    }
}

@media (max-height: 900px){
    main{
      min-height: 90vh;
    }
  }